package com.zhaxd.common.init;

import com.zhaxd.utils.SpringContextHolder;
import com.zhaxd.web.service.TransService;

/**
 * 项目一开始，要初始化现有定时任务，暂时只管没删除的都跑起来
 * Created by CX on 2022/6/11.
 */
public class QuartzInit {

    public void init() throws Exception {
        TransService transService = SpringContextHolder.getBean("transService");

        System.out.println("****** 启动转换任务调度 ******");
        //用户id 1
        transService.reStartActiveAll(null, null, 1);
        System.out.println("****** 转换任务调度全部启动完成 ******");
    }

}
